# Python PostgreSQL Performance Tools

Python port of [Heroku PG Extras](https://github.com/heroku/heroku-pg-extras) with several additions and improvements. The goal of this project is to provide powerful insights into the PostgreSQL database for Python apps that are not using the Heroku PostgreSQL plugin.

Queries can be used to obtain information about a Postgres instance, that may be useful when analyzing performance issues. This includes information about locks, index usage, buffer cache hit ratios and vacuum statistics. Python API enables developers to easily integrate the tool into e.g. automatic monitoring tasks.

You can check out this blog post for detailed step by step tutorial on how to [optimize PostgreSQL using PG Extras library](https://pawelurbanek.com/postgresql-fix-performance).

Alternative versions:

- [Ruby](https://github.com/pawurb/ruby-pg-extras)

- [Ruby on Rails](https://github.com/pawurb/rails-pg-extras)

- [NodeJS](https://github.com/pawurb/node-postgres-extras)

- [Elixir](https://github.com/pawurb/ecto_psql_extras)

- [Haskell](https://github.com/pawurb/haskell-pg-extras)